uk.gov.hmrc.wco.dec

# GovernmentAgencyGoodsItemAdditionalDocument

###
Related Doc: package dec

#### case class GovernmentAgencyGoodsItemAdditionalDocument(categoryCode: Option[String] = None, effectiveDateTime: Option[DateTimeElement] = None, id: Option[String] = None, name: Option[String] = None, typeCode: Option[String] = None, lpcoExemptionCode: Option[String] = None, submitter: Option[GovernmentAgencyGoodsItemAdditionalDocumentSubmitter] = None, writeOff: Option[WriteOff] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GovernmentAgencyGoodsItemAdditionalDocument
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new GovernmentAgencyGoodsItemAdditionalDocument(categoryCode: Option[String] = None, effectiveDateTime: Option[DateTimeElement] = None, id: Option[String] = None, name: Option[String] = None, typeCode: Option[String] = None, lpcoExemptionCode: Option[String] = None, submitter: Option[GovernmentAgencyGoodsItemAdditionalDocumentSubmitter] = None, writeOff: Option[WriteOff] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val categoryCode: Option[String]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val effectiveDateTime: Option[DateTimeElement]

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val id: Option[String]

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val lpcoExemptionCode: Option[String]

14. #### val name: Option[String]

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val submitter: Option[GovernmentAgencyGoodsItemAdditionalDocumentSubmitter]

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### val typeCode: Option[String]

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### val writeOff: Option[WriteOff]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped